> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 MCP 受保护资源元数据

> 发现 MCP 资源受众、授权服务器、受支持的产品权限，以及受支持的 bearer 令牌传输方式。

发现 MCP 资源受众、授权服务器、受支持的产品权限，以及受支持的 bearer 令牌传输方式。

```http theme={null}
GET https://api.voicecheap.ai/.well-known/oauth-protected-resource/mcp
```

## 身份验证

无。

## 请求示例

请遵循此路由文档规定的编码和身份验证方式。操作 API 的封装格式和幂等性规则仅适用于操作调用。

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET 'https://api.voicecheap.ai/.well-known/oauth-protected-resource/mcp'
  ```

  ```javascript JavaScript theme={null}
  const input = {};
  const response = await fetch('https://api.voicecheap.ai/.well-known/oauth-protected-resource/mcp', {
    method: 'GET',
    headers: {},
    redirect: 'manual',
  });
  console.log(response.status, await response.text());
  ```

  ```python Python theme={null}
  import os
  import requests

  response = requests.request(
      "GET",
      "https://api.voicecheap.ai/.well-known/oauth-protected-resource/mcp",
      headers={},
      timeout=120,
      allow_redirects=False,
  )
  print(response.status_code, response.text)
  ```
</RequestExample>

## 响应

OAuth 受保护资源元数据。两个公开的元数据路径均返回此 MCP 资源的相同对象。

```json HTTP 200 theme={null}
{
  "resource": "https://api.voicecheap.ai/mcp",
  "resource_name": "VoiceCheap MCP",
  "authorization_servers": ["https://api.voicecheap.ai"],
  "scopes_supported": [
    "account:read",
    "usage:read",
    "settings:read",
    "settings:write",
    "team:read",
    "team:write",
    "projects:read",
    "projects:write",
    "projects:delete",
    "translations:write",
    "transcription:read",
    "transcription:write",
    "subtitles:read",
    "subtitles:write",
    "tts:read",
    "tts:write",
    "voices:read",
    "voices:write",
    "images:read",
    "images:write",
    "thumbnails:read",
    "thumbnails:write",
    "folders:read",
    "folders:write",
    "glossary:read",
    "glossary:write",
    "webhooks:read",
    "webhooks:write",
    "publishing:read",
    "publishing:write"
  ],
  "bearer_methods_supported": ["header"]
}
```

## 操作说明

* 构建授权和令牌请求时，请原样使用返回的 resource。不要替换为 /v1、追加斜杠，或使用其他环境的源站。
* 该资源通过 HTTP 标头接受 bearer 凭证。MCP 身份验证会拒绝查询字符串中的凭证。
* scopes\_supported 仅包含产品权限；offline\_access 则出现在授权服务器元数据中。
* 未经身份验证的 /mcp 响应会在 WWW-Authenticate 中声明 /mcp 专用的元数据路径。
* 生产环境资源为 [https://api.voicecheap.ai/mcp。默认开发环境资源为](https://api.voicecheap.ai/mcp。默认开发环境资源为) [https://dev.api.voicecheap.ai/mcp；部署可能公布不同的规范开发环境源地址。](https://dev.api.voicecheap.ai/mcp；部署可能公布不同的规范开发环境源地址。)

## 错误

| HTTP 状态 | 代码 | 含义或恢复方式 |
| - | - | - |
| 429 | `temporarily_unavailable` | 已达到公开 OAuth 请求速率上限。请等待当前时间窗口结束后重试。 |
| 500 | `server_error` | 授权暂时不可用。请稍后重试。 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.